{% extends 'base.html' %}
{% load static %}
{% load custom_filters %}

{% block content %}
<div class="headline mx-auto">
    <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
            {% for headline in headlines %}
            {% if forloop.counter0 == 0 %}
            <li data-target="#carouselExampleCaptions" data-slide-to="{{ forloop.counter0 }}" class="active"></li>
            {% else %}
            <li data-target="#carouselExampleCaptions" data-slide-to="{{ forloop.counter0 }}"></li>
            {% endif %}
            {% endfor %}
        </ol>
        <div class="carousel-inner">
            {% for headline in headlines %}
            {% if forloop.counter0 == 0 %}
            <div class="carousel-item active">
                {% else %}
                <div class="carousel-item">
                    {% endif %}
                    <img src="{{ headline.image.url }}" class="d-block w-100" alt="{{ headline.title }}">
                    <div class="carousel-caption d-none d-md-block">
                        <h2>{{ headline.title }}</h2>
                    </div>
                </div>
                {% endfor %}
            </div>
            <a class="carousel-control-prev" href="#carouselExampleCaptions" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleCaptions" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
    </div>
    <section id="rubrik">
        <div class="categoryTitle">KATEGORI</div>
        <div class="categoryCenter row">
            <div class="col-xs-12">
                <a href="/category/ekopolkum/">
                    <div class="categoryIdx">
                        <p class="categoryTxt">Ekonomi,<br>Politik, &<br> Hukum</p>
                        <img class="categoryImg" src="{% static 'img/ekopolkum.png'  %}">
                    </div>
                </a>
            </div>
            <div class="col-xs-12">
                <a href="/category/inspirasi/">
                    <div class="categoryIdx">
                        <p class="categoryTxt">Inspirasi</p>
                        <img class="categoryImg" src="{% static 'img/inspirasi.png'  %}">
                    </div>
                </a>
            </div>
        </div>
        <div class="categoryCenter row">
            <div class="col-xs-12">
                <a href="/category/soshum/">
                    <div class="categoryIdx">
                        <p class="categoryTxt">Sosial &<br> Humaniora</p>
                        <img class="categoryImg" src="{% static 'img/soshum.png'  %}">
                    </div>
                </a>
            </div>
            <div class="col-xs-12">
                <a href="/category/saintek/">
                    <div class="categoryIdx">
                        <p class="categoryTxt">Sains &<br> Teknologi</p>
                        <img class="categoryImg" src="{% static 'img/saintek.png'  %}">
                    </div>
                </a>
            </div>
        </div>
        <div class="categoryCenter row">
            <div class="col-xs-12">
                <a href="/category/advertorial/">
                    <div class="categoryIdx">
                        <p class="categoryTxt">Advertorial</p>
                        <img class="categoryImg" src="{% static 'img/advertorial.png'  %}">
                    </div>
                </a>
            </div>
            <div class="col-xs-12">
                <a href="/category/riset/">
                    <div class="categoryIdx">
                        <p class="categoryTxt">Riset</p>
                        <img class="categoryImg" src="{% static 'img/riset.png'  %}">
                    </div>
                </a>
            </div>
        </div>
    </section>
    <section id="gerbatama">
        <div class="row">
            <div class="categoryTitle col-md-5 col-xs-12">GERBATAMA</div>
            <div class="col-md-4 col-xs-12">
                <a class="categoryLink" href="/gerbatama">
                    LIHAT LEBIH
                </a>
            </div>
        </div>
        <div class="mainIssuu">
            <iframe src="https://e.issuu.com/anonymous-embed.html?u=suaramahasiswaui&d=gerbatama_83"
                style="border:none;width:75vw;height:400px;" allowfullscreen>
            </iframe>
        </div>
    </section>
    <section id="galeri">
        <div class="row" id="gallery-photo">
            <div class="col-md-12">
                <div class="row">
                    <div class="categoryTitle col-md-5 col-xs-12">GALERI FOTO</div>
                    <div class="col-md-4 col-xs-12">
                        <a class="categoryLink" href="/gallery">
                            LIHAT LEBIH
                        </a>
                    </div>
                </div>

                <div class="mainImage">
                    {% for gallery in galleries %}
                    {% if forloop.counter == 1 %}
                    <a href="/gallery/{{ gallery.post.title|slug }}">
                        <img width="100%" height="100%" src="{{ gallery.file.url }}" alt="" scale="0">
                    </a>
                    {% endif %}
                    {% endfor %}
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="row inRowImage" style="margin-left:11%;">
                    <div class="recent-photo">
                        {% for gallery in galleries %}
                        {% if forloop.counter != 1 %}
                        <a href="/">
                            <img width="300" height="299" src="{{ gallery.file.url }}">
                        </a>
                        {% endif %}
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="grafis">
        <div class="row" id="gallery-photo">
            <div class="col-md-12">
                <div class="row">
                    <div id="grafis-title" class="categoryTitle col-md-5 col-xs-12">GRAFIS</div>
                    <div class="col-md-4 col-xs-12">
                        <a class="categoryLink" href="/grafis">
                            LIHAT LEBIH
                        </a>
                    </div>
                </div>

                <div class="row grafis-item">
                    {% for item in grafis %}
                    <div class="col-md-5 col-xs-12">
                        <img src="{{ item.image.url }}" class="grafis">
                    </div>
                    {% endfor %}
                </div>

            </div>
        </div>
    </section>
    {% endblock %}